﻿using UnityEngine;
using System.Collections;

public class CameraFollower : MonoBehaviour {

	public GameObject target;
	public float smoothTime = 0.3F;
	private float xVelocity = 0.0F;
	private float yVelocity = 0.0F;
	void Update() {
		float newPositionX = Mathf.SmoothDamp(transform.position.x, target.transform.position.x, ref xVelocity, smoothTime);
		float newPositionY = Mathf.SmoothDamp(transform.position.y, target.transform.position.y, ref yVelocity, smoothTime);
		transform.position = new Vector3(newPositionX, newPositionY, transform.position.z);
	}
	/*
	// Update is called once per frame
	void Update () {
		transform.position = target.transform.position + new Vector3(0,0,-10);


	}*/
}
